<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>R-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/Parser.html#readNextLine--">readNextLine()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a></dt>
<dd>
<div class="block">Reads a line split in to words.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.html#registerExecutor-java.lang.String-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-">registerExecutor(String, CommandExecutor, String, String)</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dt>
<dd>
<div class="block">Registers an executor for a command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#removeEnemy-ch.sebi.zuul.logic.player.Player-">removeEnemy(Player)</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Removes an enemy from the room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#removeItem-ch.sebi.zuul.logic.items.Item-int-">removeItem(Item, int)</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Decrements the amount counter of an item until it is zero or below.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#removeSlot-int-">removeSlot(int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Removes a slot from the inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Exit.html#room">room</a></span> - Variable in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></dt>
<dd>
<div class="block">The room to which the exit goes</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map"><span class="typeNameLink">Room</span></a> - Class in <a href="../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></dt>
<dd>
<div class="block">A class which represents a room.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#Room-java.lang.String-">Room(String)</a></span> - Constructor for class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Create a room described "description".</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/condition/RoomCondition.html" title="class in ch.sebi.zuul.logic.condition"><span class="typeNameLink">RoomCondition</span></a> - Class in <a href="../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></dt>
<dd>
<div class="block">a condition which checks if the player is in a set of rooms</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/RoomCondition.html#RoomCondition-ch.sebi.zuul.logic.map.Room...-">RoomCondition(Room...)</a></span> - Constructor for class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/RoomCondition.html" title="class in ch.sebi.zuul.logic.condition">RoomCondition</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/RoomCondition.html#rooms">rooms</a></span> - Variable in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/RoomCondition.html" title="class in ch.sebi.zuul.logic.condition">RoomCondition</a></dt>
<dd>
<div class="block">The rooms in which the condition evaluates to true</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#running">running</a></span> - Variable in class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">InventoryExecutor</a></dt>
<dd>
<div class="block">if the inventory menu is still running</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/fight/Fight.html#running">running</a></span> - Variable in class ch.sebi.zuul.logic.fight.<a href="../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></dt>
<dd>
<div class="block">If the fight is still running</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#running">running</a></span> - Variable in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">If the the game is still running</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
